Subject: Re: [Geopriv] Long review of draft-ietf-geopriv-loc-filters-07
From: "Thomson, Martin" <[email-masked]>
To: "James M. Polk" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 4 Nov 2009 08:45:08 +0800
List-Id: Geographic Location/Privacy <geopriv.ietf.org>

Hi James,

It's good to see that you're putting time in reviewing this.  There are a lot of useful comments here.

It's hard to line comments up with the text that they correspond to.  Can you share the commented word doc as well?

I'll use your numbers...

[JMP3+; edit] I don't think that you meant to use this discreet:

  discreet, adj, marked by prudence or modesty and wise self-restraint
  discrete, adj, constituting a separate entity or part

I tend to use continuous-valued and discrete-valued when talking about the difference between location and other presence data.  I had no problem understanding the intent of "continuous gradient".

[JMP7] I actually think that this is not necessary information for the introduction.  It could be removed.

[JMP26] regarding the trigger matching ALL, this is an RFC 4661 requirement.  If you want to trigger on changes in any of the referenced elements, then you have to specify multiple filters with a trigger on each element.  Yeah, it's verbose, but that's the way that 4661 is.

[JMP32] no need for labels

[JMP35] that should be notifier/PA

[JMP39] (on error messages) I had the same comment - I believe that if exact is true and the location type cannot be provided, then no location is included.  That's probably the only option available to the notifier.

[JMP41] (regarding the comparison to HELD) This comment is useful for establishing context.  The function described in this section can be difficult to understand

[JMP43] (regarding the notify) This doesn't remove the requirement that the initial notify (absent of state) be provided immediately.  This just establishes when the first _useful_ notify arrives.

[JMP48] (regarding snide comments about suitability of just referencing some policy documents) This document can be vague because it does not rely on these documents, these are information pointers only.  Informational references do not need to be as rigorously tested as the normative references required of the DHCP location URI work.

[JMP51] I think that Brian answered this adequately.

--Martin

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of James M. Polk
> Sent: Tuesday, 3 November 2009 12:18 PM
> To: [email-masked]
> Subject: [Geopriv] Long review of draft-ietf-geopriv-loc-filters-07
> 
> I have attached my review of draft-ietf-geopriv-loc-filters-07.
> 
> It is a PDF of my marked up version.  It has enough comments and
> suggestions that putting this in email would be very difficult - but
> I will if the chairs believe that's best.
> 
> Some of the comments are nits, some of the comments were where a
> topic or sentence didn't make sense (perhaps with its placement were
> it was in the paragraph), and some of the comments were technical.  I
> hope they are obvious when anyone reads them.
> 
> I can send the MS WORD version with the active track changes to the
> authors if they want that version.
> 
> If there are any questions or comments about my review comments,
> please don't hesitate to send me a note.
> 
> James